import { HighLevelComponent } from "./_component";
import { ReactNativeWrapper } from "../../wrapper/wrapper";
/**
 * A component for displaying an progress view.
 *
 * ```
 @Component({
  selector: 'sample',
  template: `<ProgressView progress="0.6" progressTintColor="#ce0058"></ProgressView>`
})
 export class Sample {}
 * ```
 * @style https://facebook.github.io/react-native/docs/view.html#style
 * @platform ios
 */
export declare class ProgressView extends HighLevelComponent {
    constructor(wrapper: ReactNativeWrapper);
    _progress: number;
    _progressImage: any;
    _progressTintColor: number;
    _progressViewStyle: string;
    _trackImage: any;
    _trackTintColor: number;
    /**
     * To be documented
     */
    progress: string;
    /**
     * To be documented
     */
    progressImage: any;
    /**
     * To be documented
     */
    progressTintColor: string;
    /**
     * To be documented
     */
    progressViewStyle: string;
    /**
     * To be documented
     */
    trackImage: any;
    /**
     * To be documented
     */
    trackTintColor: string;
}
