import { EventEmitter } from "@angular/core";
import { HighLevelComponent } from "./_component";
import { ReactNativeWrapper } from "../../wrapper/wrapper";
/**
 * A component for displaying an item of a tab bar.
 *
 * @style https://facebook.github.io/react-native/docs/view.html#style
 * @platform ios
 */
export declare class TabBarItem extends HighLevelComponent {
    constructor(wrapper: ReactNativeWrapper);
    /**
     * To be documented
     */
    select: EventEmitter<any>;
    _badge: number | string;
    _icon: any;
    _selected: boolean;
    _selectedIcon: any;
    _systemIcon: string;
    _title: string;
    /**
     * To be documented
     */
    badge: any;
    /**
     * To be documented
     */
    icon: any;
    /**
     * To be documented
     */
    selected: any;
    /**
     * To be documented
     */
    selectedIcon: any;
    /**
     * To be documented
     */
    systemIcon: string;
    /**
     * To be documented
     */
    title: string;
    _handlePress(): void;
}
