import { NgZone } from "@angular/core";
import { LocationStrategy } from "@angular/common";
export declare class ReactNativeLocationStrategy extends LocationStrategy {
    private zone;
    internalBaseHref: string;
    internalPath: string;
    internalTitle: string;
    urlChanges: string[];
    constructor(zone: NgZone);
    simulatePopState(url: string): void;
    path(): string;
    prepareExternalUrl(internal: string): string;
    pushState(ctx: any, title: string, path: string, query: string): void;
    replaceState(ctx: any, title: string, path: string, query: string): void;
    onPopState(fn: (value: any) => void): void;
    getBaseHref(): string;
    back(): void;
    forward(): void;
    canGoBack(): boolean;
}
