import { OnInit, OnDestroy, ElementRef } from "@angular/core";
import { Router, ActivatedRoute, UrlTree } from '@angular/router';
export declare class RouterLink implements OnInit, OnDestroy {
    private router;
    private route;
    private _el;
    private commands;
    queryParams: {
        [k: string]: any;
    };
    fragment: string;
    preserveQueryParams: boolean;
    preserveFragment: boolean;
    event: string;
    constructor(router: Router, route: ActivatedRoute, el: ElementRef);
    routerLink: any[] | string;
    onEvent(): boolean;
    readonly urlTree: UrlTree;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
