import { Location } from '@angular/common';
import { Compiler, Injector, ModuleWithProviders, NgModuleFactory, NgModuleFactoryLoader } from '@angular/core';
import { Route, Router, Routes, UrlSerializer, ChildrenOutletContexts } from '@angular/router';
export declare class SpyNgModuleFactoryLoader implements NgModuleFactoryLoader {
    private compiler;
    stubbedModules: {
        [path: string]: any;
    };
    constructor(compiler: Compiler);
    load(path: string): Promise<NgModuleFactory<any>>;
}
export declare function setupTestingRouter(urlSerializer: UrlSerializer, childrenOutletContexts: ChildrenOutletContexts, location: Location, loader: NgModuleFactoryLoader, compiler: Compiler, injector: Injector, routes: Route[][]): Router;
export declare class ReactNativeRouterTestingModule {
    static withRoutes(routes: Routes): ModuleWithProviders;
}
