"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var common_1 = require('@angular/common');
var core_1 = require('@angular/core');
var router_1 = require('@angular/router');
var router_module_1 = require('./../router/router_module');
var location_strategy_1 = require('./../router/location_strategy');
var SpyNgModuleFactoryLoader = (function () {
    function SpyNgModuleFactoryLoader(compiler) {
        this.compiler = compiler;
        this.stubbedModules = {};
    }
    SpyNgModuleFactoryLoader.prototype.load = function (path) {
        if (this.stubbedModules[path]) {
            return this.compiler.compileModuleAsync(this.stubbedModules[path]);
        }
        else {
            return Promise.reject(new Error("Cannot find module " + path));
        }
    };
    SpyNgModuleFactoryLoader = __decorate([
        core_1.Injectable(), 
        __metadata('design:paramtypes', [core_1.Compiler])
    ], SpyNgModuleFactoryLoader);
    return SpyNgModuleFactoryLoader;
}());
exports.SpyNgModuleFactoryLoader = SpyNgModuleFactoryLoader;
function setupTestingRouter(urlSerializer, childrenOutletContexts, location, loader, compiler, injector, routes) {
    return new router_1.Router(null, urlSerializer, childrenOutletContexts, location, injector, loader, compiler, router_1.ɵflatten(routes));
}
exports.setupTestingRouter = setupTestingRouter;
var ReactNativeRouterTestingModule = (function () {
    function ReactNativeRouterTestingModule() {
    }
    ReactNativeRouterTestingModule.withRoutes = function (routes) {
        return { ngModule: ReactNativeRouterTestingModule, providers: [router_1.provideRoutes(routes)] };
    };
    ReactNativeRouterTestingModule = __decorate([
        core_1.NgModule({
            exports: [router_module_1.ReactNativeRouterModule],
            providers: [
                router_1.ɵROUTER_PROVIDERS,
                { provide: common_1.LocationStrategy, useClass: location_strategy_1.ReactNativeLocationStrategy },
                { provide: core_1.NgModuleFactoryLoader, useClass: SpyNgModuleFactoryLoader },
                {
                    provide: router_1.Router,
                    useFactory: setupTestingRouter,
                    deps: [
                        router_1.UrlSerializer, router_1.ChildrenOutletContexts, common_1.Location, core_1.NgModuleFactoryLoader, core_1.Compiler, core_1.Injector, router_1.ROUTES
                    ]
                },
                { provide: router_1.PreloadingStrategy, useExisting: router_1.NoPreloading },
                router_1.provideRoutes([])
            ]
        }), 
        __metadata('design:paramtypes', [])
    ], ReactNativeRouterTestingModule);
    return ReactNativeRouterTestingModule;
}());
exports.ReactNativeRouterTestingModule = ReactNativeRouterTestingModule;
