export declare function isAndroid(): boolean;
export declare function overridePlatform(platform: string): void;
export declare class ReactNativeWrapper {
    computeStyle(styles: Object): Object;
    processColor(color: string): number;
    resolveAssetSource(source: any): any;
    dismissKeyboard(): void;
    requestNavigatorLock(tag: number, callback: (b: boolean) => any): void;
    getUIManager(): any;
    createView(tagName: string, root: number, properties: Object): number;
    updateView(tag: number, tagName: string, properties: Object): void;
    manageChildren(parentTag: number, moveFrom: Array<number>, moveTo: Array<number>, addTags: Array<number>, addAt: Array<number>, removeAt: Array<number>): void;
    dispatchCommand(tag: number, command: string, params: any): void;
    patchReactNativeWithZone(zone: any): void;
    patchReactNativeEventEmitter(nodeMap: Map<number, any>): void;
    isAndroid(): boolean;
    blur(tag: number): void;
    focus(tag: number): void;
    $log(...args: any[]): void;
}
