import { HighLevelComponent } from "./_component";
import { ReactNativeWrapper } from "../../wrapper/wrapper";
/**
 * A component for displaying a progress bar.
 *
 * ```
@Component({
  selector: 'sample',
  template: `<ProgressBar styleAttr="Large"></ProgressBar>`
})
export class Sample {}
 * ```
 * @style https://facebook.github.io/react-native/docs/view.html#style
 * @platform android
 */
export declare class ProgressBar extends HighLevelComponent {
    constructor(wrapper: ReactNativeWrapper);
    _color: number;
    _indeterminate: boolean;
    _progress: number;
    _styleAttr: string;
    /**
     * To be documented
     */
    color: string;
    /**
     * To be documented
     */
    indeterminate: any;
    /**
     * To be documented
     */
    progress: any;
    /**
     * To be documented
     */
    styleAttr: string;
}
