import { ElementRef } from "@angular/core";
import { ReactNativeWrapper } from "../../wrapper/wrapper";
import { HighLevelComponent } from "./component";
/**
 * A component for displaying a view, the default container.
 *
 * ```
@Component({
  selector: 'sample',
  template: `<View></View>`
})
export class Sample {}
 * ```
 * @style https://facebook.github.io/react-native/docs/view.html#style
 */
export declare class View extends HighLevelComponent {
    private _nativeElement;
    constructor(wrapper: ReactNativeWrapper, el: ElementRef);
    /**
     * To be documented
     */
    setPressed(isPressed: boolean): void;
    /**
     * To be documented
     */
    hotspotUpdate(x: number, y: number): void;
}
