import { NgModule } from "@angular/core";
import { Http, RequestOptions, ResponseOptions, BaseRequestOptions, BaseResponseOptions, BrowserXhr } from "@angular/http";
import { ReactNativeXHRBackend } from "./xhr_backend";
export function httpFactory(xhrBackend, requestOptions) {
    return new Http(xhrBackend, requestOptions);
}
export var HTTP_PROVIDERS = [
    {
        provide: Http,
        useFactory: httpFactory,
        deps: [ReactNativeXHRBackend, RequestOptions]
    },
    BrowserXhr,
    { provide: RequestOptions, useClass: BaseRequestOptions },
    { provide: ResponseOptions, useClass: BaseResponseOptions },
    ReactNativeXHRBackend
];
var ReactNativeHttpModule = (function () {
    function ReactNativeHttpModule() {
    }
    return ReactNativeHttpModule;
}());
export { ReactNativeHttpModule };
ReactNativeHttpModule.decorators = [
    { type: NgModule, args: [{ providers: HTTP_PROVIDERS },] },
];
/** @nocollapse */
ReactNativeHttpModule.ctorParameters = function () { return []; };
//# sourceMappingURL=http_module.js.map