import { TestBed, ComponentFixture } from "@angular/core/testing";
import { ReactNativeRootRenderer } from "../renderer/renderer";
import { ReactNativeWrapper } from "../wrapper/wrapper";
import { Node } from "../renderer/node";
export declare function configureTestingModule(mock: ReactNativeWrapper, testCpt: any, declarations?: Array<any>, modules?: Array<any>): typeof TestBed;
export declare function initTest(testCpt: any, tpl: string): {
    fixture: ComponentFixture<any>;
    rootRenderer: ReactNativeRootRenderer;
};
export declare function fireEvent(name: string, target: Node, timeStamp?: number, touches?: Array<Array<number>>, changedIndices?: Array<Number>): void;
export declare function fireFunctionalEvent(name: string, target: Node, data: any): void;
export declare function fireGesture(name: string, target: Node): void;
