import { ReactNativeWrapper } from "./wrapper";
import { NgZone } from "@angular/core";
export declare class ReactNativeWrapperImpl extends ReactNativeWrapper {
    static registerApp(name: string, callback: Function): void;
    computeStyle(styles: Object): Object;
    processColor(color: string): number;
    resolveAssetSource(source: any): any;
    dismissKeyboard(): void;
    requestNavigatorLock(tag: number, callback: (b: boolean) => any): void;
    getUIManager(): any;
    createView(tagName: string, root: number, properties: Object): number;
    updateView(tag: number, tagName: string, properties: Object): void;
    manageChildren(parentTag: number, moveFrom: Array<number>, moveTo: Array<number>, addTags: Array<number>, addAt: Array<number>, removeAt: Array<number>): void;
    dispatchCommand(tag: number, command: string, params?: any): void;
    patchReactNativeWithZone(zone: NgZone): void;
    _patchCallback(zone: NgZone, target: any, name: string, positions: Array<number>): void;
    patchReactNativeEventEmitter(nodeMap: Map<number, any>): void;
    isAndroid(): boolean;
    blur(tag: number): void;
    focus(tag: number): void;
    $log(...args: any[]): void;
}
